Bug Hunting Session
Bug 104307 - Replace error message "No SDBC driver was found for the given URL" with a helpful one
Summary: Replace error message "No SDBC driver was found for the given URL" with a hel...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Error-Messages
  Show dependency treegraph
 
Reported: 2016-11-30 23:50 UTC by Kalle Richter
Modified: 2018-12-18 07:59 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kalle Richter 2016-11-30 23:50:10 UTC
Description:
Opening the default address data source in LibreOffice on Ubuntu 16.10 causes the error `No SDBC driver was found for the given URL`. This error message is unhelpful and the user needs to dig through tons of search engine results to figure out what it actually means (one has to install LibreOffice from the website). The error message thus needs to be enhances with this information at least. There might be other causes for the error message, so they probably need to be added as well.

Actual Results:  
Unhelpful error message

Expected Results:
Helpful error message


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Alex Thurgood 2016-12-01 11:32:46 UTC
Unfortunately, this is not a problem with LibreOffice itself, but with the packaging made by Ubuntu that has made the conscious decision not to install Base by default with the rest of LibreOffice.

So, the problem lies with Ubuntu packaging. If you download LibreOffice from the TDF website, Base is always installed along with the other modules.
Comment 2 Adolfo Jayme 2016-12-04 04:30:27 UTC
The error message could use some improvements, though.
Comment 3 QA Administrators 2017-12-05 09:37:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug